/* ==========================================================================
   BOILERPLATE STYLES
   ========================================================================== */

    /* ==========================================================================
       IMPORTS
       ========================================================================== */

        @import url('../../machines/libraries/bootstrap/less/bootstrap.less');
        @import url('../../machines/libraries/font-awesome/less/font-awesome.less');

    /* ==========================================================================
       COLORS
       ========================================================================== */

        @white: rgb(255, 255, 255);

        @grey_white: rgb(240, 240, 240);
        @grey_lightest: rgb(224, 224, 224);
        @grey_lighter: rgb(208, 208, 208);

        @grey_light: rgb(192, 192, 192);

        @grey_mid_lightest: rgb(176, 176, 176);
        @grey_mid_lighter: rgb(160, 160, 160);
        @grey_mid_light: rgb(144, 144, 144);

        @grey_mid: rgb(128, 128, 128);

        @grey_mid_dark: rgb(112, 112, 112);
        @grey_mid_darker: rgb(96, 96, 96);
        @grey_mid_darkest: rgb(80, 80, 80);

        @grey_dark: rgb(64, 64, 64);

        @grey_darker: rgb(48, 48, 48);
        @grey_darkest: rgb(32, 32, 32);
        @grey_black: rgb(16, 16, 16);

        @black: rgb(0, 0, 0);

        @blue_casper: #A9B8CB;

        @green: #92BB45;
        @blue: #007EB7;
        @grey_nyc_builds: #88898C;
        @grey_nyc_builds_2: #7A7A7A;

    /* ==========================================================================
       TEMPLATE VARIABLES
       ========================================================================== */

        @defaultColor: @white;

        @headerHeight: 108px;
        @footerHeight: 190px;
        @mobileHeaderHeight: @headerHeight * 1.0;

        @fontFamily: 'Lato', sans-serif;

        @zindexMainMenu: 100;
        @zindexLogo: 101;

    /* ==========================================================================
       MEDIA QUERIES
       ========================================================================== */


        @media0: ~"(min-width: 1440px)";
        @media0_: ~"(max-width: 1439px)";

        @media1: ~"(min-width: 1200px)";
        @media1_: ~"(max-width: 1199px)";

        @media2: ~"(min-width: 992px)";
        @media2_: ~"(max-width: 991px)";

        @media3: ~"(min-width: 768px)";
        @media3_: ~"(max-width: 767px)";

        @media4: ~"(min-width: 480px)";
        @media4_: ~"(max-width: 479px)";


    /* ==========================================================================
       TEMPLATE MIXINS
       ========================================================================== */

        .displayInlineBlock(@vAlign: top){
            display: inline-block;
            *display: inline;
            vertical-align: @vAlign;
            *vertical-align: @vAlign;
        }

        .displayNone(){
            display: none !important;
        }

        .displayTable(){
            display: table !important;
        }

        .positionAbsolute(){
            position: absolute !important;
        }

        .positionFixed(){
            position: fixed !important;
        }

        .displayTableCell(@vAlign: middle) {
            display: table-cell;
            vertical-align: @vAlign;
        }

        .overflowScrollingTouch(){
            -webkit-overflow-scrolling: touch;
        }

        .fontAwsome(@icon){
            @faPrefix: "fa-var-@{icon}";
            .fa-icon();
            content: @@faPrefix;
        }
        
        .disableSelect(){
            -webkit-touch-callout: none;
            -webkit-user-select: none;
            -khtml-user-select: none;
            -moz-user-select: none;
            -ms-user-select: none;
            user-select: none;
        }

    /* ==========================================================================
       KEYFRAMES
       ========================================================================== */

        @keyframes fade_in {
            from {
                .opacity(0);
            }

            to {
                .opacity(1);
            }
        }

    /* ==========================================================================
       PAGE STYLES
       ========================================================================== */

        html, body{
            // background-color: #031c44;
            background-image: url('../images/bg.jpg');
        }

        body{            
            background-size: cover;
            background-position: center center;
            background-repeat: no-repeat;
            position: fixed;
            top: 0px;
            left: 0px;
            height: 100%;
            width: 100%;
            overflow: hidden;
            color: @white;
            font-family: @fontFamily;
            font-weight: 100;
            font-size: 16px;
        }

        .p(){
            &:last-child{
                margin-bottom: 0px;
            }
            @media screen and @media3_{
                font-size: 24px;
            }
        }

        p{
            .p();
        }

        .green(){
            color: @green;
        }

        .green{
            .green();
        }

        .blue(){
            color: @blue;
        }

        .blue{
            .blue();
        }
        
        .grey(){
            color: @grey_nyc_builds;
        }

        .grey{
            .grey();
        }

        .grey_paragraph(){
            color: @grey_nyc_builds_2;
        }

        .grey_paragraph{
            .grey_paragraph();
        }
        
        .top_logo_container{
            margin: 2rem 0 0 5rem;
            position: fixed;
            @media screen and @media3_{
                margin: 2rem 0 0 2rem;
            }

            .opacity(0);
            :not(.fonts_not_loaded) &{
                animation-delay: 1s;
                animation-duration: 1s;
                animation-fill-mode: forwards;
                animation-name: fade_in;
            }
        }

        .main_content_container{
            display: flex;
            align-items: center;
            justify-content: center;
            flex-direction: column;
            height: 100%;

            @media screen and @media4_{
                display: block;
            }

            .logo_container{
                // width: 61.804697156983931vw;
                max-width: 564.482764787137357px;
                margin-bottom: 5rem;
                @media screen and @media4_{
                    width: 20rem;
                    margin: 2rem auto;
                }
                @media screen and (max-height: 480px){
                    max-width: (164.482764787137357px/2);
                }
                img{
                    width: 100%;
                }

                .opacity(0);
                :not(.fonts_not_loaded) &{
                    animation-delay: 1s;
                    animation-duration: 1s;
                    animation-fill-mode: forwards;
                    animation-name: fade_in;
                }
            }

            .info_container{
                bottom: 4vh;
                display: flex;
                align-items: center;
                text-align: center;
                margin-bottom: 3rem;
                a{
                    color: @white;
                }
                // @media screen and @media2_{
                    width: 100%;
                    flex-direction: column;
                // }
                @media screen and @media2_{
                    position: relative;
                    padding-top: 3rem;
                }
                @media screen and @media4_{
                    padding-top: 1rem;
                }

                .header{
                    *{
                        font-size: 7.8rem;
                        font-weight: 900;
                        text-transform: uppercase;
                        letter-spacing: 2px;
                        @media screen and @media2_{
                            font-size: 5rem;
                        }
                        @media screen and @media3_{
                            font-size: 1.5rem;
                        }
                    }
                }

                .subheader{
                    font-size: 3.2rem;
                    font-style: italic;
                    font-weight: 500;
                    @media screen and @media3_{
                        font-size: 1.3rem;
                    }
                }

                .grey_paragraph{
                    font-size: 1.7rem;
                    @media screen and @media4_{
                        font-size: 1.2rem;
                    }
                }

                .two_col_container{
                    text-align: initial;
                    .left_column{
                        width: 50%;
                        display: inline-block;
                        padding-right: 9rem;
                        @media screen and @media2_{
                            width: 100%;
                            padding-right: 0rem;
                        }
                    }

                    .right_column{
                        width: 50%;
                        float: right;
                        @media screen and @media2_{
                            width: 100%;
                        }
                    }
                }


                > div{
                    &:last-child{
                        margin-left: auto;
                        // @media screen and @media2_{
                            margin-left: initial;
                        // }
                    }

                    div{
                        display: inline-block;
                        width: 75%;
                        max-width: 130rem;
                        margin: 0 auto;
                        .p();
                        &.text{
                            // @media screen and @media2_{
                                display: block;
                                text-align: center;
                            // }            
                        }
                    }

                    .pipe{
                        .opacity(.5);
                        letter-spacing: 2px;
                        // @media screen and @media2_{
                            display: none;
                        // }
                    }

                }

                .opacity(0);

                :not(.fonts_not_loaded) &{
                    animation-delay: 2s;
                    animation-duration: 1s;
                    animation-fill-mode: forwards;
                    animation-name: fade_in;
                }
            }
            .footer_container{
                width: 100%;
                position: absolute;
                bottom: 0;
                background: linear-gradient( to left, #E68410 0, #E68410 20%, #007EB7 20%, #007EB7 40%, #644D7D 40%, #644D7D 60%, #92BB45 60%, #92BB45 80%, #EA5901 80%, #EA5901)no-repeat;
                background-size: 100% 20px;
                height: 10rem;
                display: flex;
                align-items: center;
                justify-content: center;
                .footer_text{
                    font-size: 1.8rem;
                    font-weight: 500;
                    @media screen and @media4_{
                        font-size: 1.2rem;
                        text-align: center;
                    }
                    a{
                        font-weight: 600;
                    }
                }
            }
        }
